NX Open C++ Reference Guide
|
Represents a @link Die::CastReliefBuilder Die::CastReliefBuilder@endlink builder <br> To create a new instance of this class, use @link Die::DieCollection::CastRelief Die::DieCollection::CastRelief @endlink <br>
Default values. More...
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance Created in NX6.0.0. | |
NXOpen::Die::DiePlaneBuilder * | BaseOrientation () |
Returns the base orientation of the die casting used for orienting the relief construction Created in NX6.0.0. | |
bool | CreateSupportCasting () |
Returns the value (true or false) to decide if support casting should be created Created in NX6.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX6.0.0. | |
NXOpen::Expression * | ReliefDepth () |
Returns the depth value of the relief Created in NX6.0.0. | |
NXOpen::Section * | ReliefProfile () |
Returns the closed profiles used for determining the relief Created in NX6.0.0. | |
NXOpen::SelectNXObject * | ReliefSheet () |
Returns the sheet to offset to specify the relief surface Created in NX6.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance Created in NX6.0.0. | |
void | SetCreateSupportCasting (bool createSupportCasting) |
Sets the value (true or false) to decide if support casting should be created Created in NX6.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX6.0.0. | |
NXOpen::SelectNXObject * | SheetMetal () |
Returns the sheet that specifies the sheet metal surface Created in NX6.0.0. | |
NXOpen::SelectNXObject * | Target () |
Returns the target solid the relief will be united with Created in NX6.0.0. | |
NXOpen::Expression * | Thickness () |
Returns the thickness value of the support casting surrounding the relief Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Die::CastReliefBuilder Die::CastReliefBuilder@endlink builder <br> To create a new instance of this class, use @link Die::DieCollection::CastRelief Die::DieCollection::CastRelief @endlink <br>
Default values.
Property | Value |
---|---|
AngleTolerance |
0.5 |
CreateSupportCasting |
0 |
DistanceTolerance |
0.0254 (millimeters part), 0.001 (inches part) |
ReliefDepth.Value |
5 (millimeters part), 0.2 (inches part) |
Thickness.Value |
35 (millimeters part), 1.4 (inches part) |
Created in NX6.0.0.
double NXOpen::Die::CastReliefBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance
Created in NX6.0.0.
License requirements : None
NXOpen::Die::DiePlaneBuilder* NXOpen::Die::CastReliefBuilder::BaseOrientation | ( | ) |
Returns the base orientation of the die casting used for orienting the relief construction
Created in NX6.0.0.
License requirements : None
bool NXOpen::Die::CastReliefBuilder::CreateSupportCasting | ( | ) |
Returns the value (true or false) to decide if support casting should be created
Created in NX6.0.0.
License requirements : None
double NXOpen::Die::CastReliefBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::CastReliefBuilder::ReliefDepth | ( | ) |
Returns the depth value of the relief
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Die::CastReliefBuilder::ReliefProfile | ( | ) |
Returns the closed profiles used for determining the relief
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Die::CastReliefBuilder::ReliefSheet | ( | ) |
Returns the sheet to offset to specify the relief surface
Created in NX6.0.0.
License requirements : None
void NXOpen::Die::CastReliefBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance
Created in NX6.0.0.
License requirements : ug_die_design ("Die Design")
angleTolerance | angletolerance |
void NXOpen::Die::CastReliefBuilder::SetCreateSupportCasting | ( | bool | createSupportCasting | ) |
Sets the value (true or false) to decide if support casting should be created
Created in NX6.0.0.
License requirements : ug_die_design ("Die Design")
createSupportCasting | createsupportcasting |
void NXOpen::Die::CastReliefBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX6.0.0.
License requirements : ug_die_design ("Die Design")
distanceTolerance | distancetolerance |
NXOpen::SelectNXObject* NXOpen::Die::CastReliefBuilder::SheetMetal | ( | ) |
Returns the sheet that specifies the sheet metal surface
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Die::CastReliefBuilder::Target | ( | ) |
Returns the target solid the relief will be united with
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::CastReliefBuilder::Thickness | ( | ) |
Returns the thickness value of the support casting surrounding the relief
Created in NX6.0.0.
License requirements : None